#ifndef VFL_H
#define VFL_H

#include <stdint.h>

/*
	whether runtime error checking occurs.
	disable if you really want programs to run slightly faster
	at the cost of broken code causing undefined behaviour (oh no!)
*/
#define ERROR_HANDLING 1

void vfl_init(int memSize, int stackSize);
void vfl_run(char *code);

// defined externally
void portOut(int32_t port, int32_t value);
int32_t portIn(int32_t port);

#endif
